#!/bin/bash -x

. paths.sh

HOSTS="stanleyH kalium wgrouter"

cz ()
{
# copies the zonefiles
#  $1 name
#  $2 reverse
  echo "copying $1 zone, with subnet $2"
  cd $OUT/$1.020
  scp db.$1 db.$2  root@$H:/etc/bind/zones/
  cd $OUT
}


for H in $HOSTS
do

  ssh $H "mkdir /etc/bind/zones/"

  #gitzones
  scp $HFD/gitzones.conf root@$H:/etc/bind/zones/
  #forward
  scp $HFD/forwardzones.conf root@$H:/etc/bind/zones/
  #adm
  scp $HFD/adm.conf root@$H:/etc/bind/zones/
  #
  # autogenerated zones
  #
  cz amsw 10.205.252
  cz routers 10.205.253
  cz transfernet 10.205.255
  cz ki 10.205.14
  cz irl 10.205.12

  #
  # Copy static zones 
  #

  # Static zones
  scp $HFD/staticzones.conf root@$H:/etc/bind/zones/

  scp $STA/db.020 root@$H:/etc/bind/zones/
  scp $STA/net.020wireless.nl.db root@$H:/etc/bind/zones/
  scp $STA/squesh.net.db root@$H:/etc/bind/zones/
  scp $STA/squesh.dn42.db root@$H:/etc/bind/zones/




done

#
# reload configs
#
#echo "reload trashbat: "
#ssh root@trashbat /etc/init.d/bind9 reload
echo "reload stanleyH: "
ssh root@stanleyH /etc/init.d/named reload

#echo "reload air traffic control: "
#ssh root@atc /etc/init.d/bind9 reload
echo "reload kalium"
ssh root@kalium /etc/init.d/bind9 reload
ssh root@kalium host test.020

ssh root@wgrouter /etc/init.d/bind9 reload

